#include <bits/stdc++.h>
using namespace std;
int main(){
unsigned long long v;
int brojac=0;
int privremen;
cin>>v;
while(v>0){
    privremen=v%10;
    if(privremen ==1 || privremen==2 || privremen==5){
        brojac++;
    }
    else if(privremen==3 || privremen==4 || privremen==6 || privremen==7 ){
        brojac +=2;
    }
    else if(privremen ==8 || privremen==9){
        brojac +=3;
    }
    v=v/10;


}
cout<<brojac;



}